function varargout = figureMLS(varargin)
%figureMLS figure with IMPACT icon
%   figureMLS opens up a  new figure 

%   Project: IMPACT
%   Title of Code: figureMLS
%   Relevant additional documentation:
%   Developer: Carlos Gonzalez
%   External Dependencies: NA
%
%   Disclaimer
%   CAUTION: It is strongly recommended that changes to this code
%   should be avoided without first consulting with authors

%% check if the properties are set, such 'Name';
if nargout
    [varargout{1:nargout}] = figure(varargin{:});
    hMLS = varargout{1};
else hMLS = figure(varargin{:});
end

%% change the icon
addIMPACTIcon(hMLS);
